# $Revision: 1.18 $, $Date: 2002/11/05 18:27:13 $
Summary:	A Dockable General Purpose Recording Utility
Summary(pl):	Dokowalne Narzdzie do Nagrywania
Name:		wmrecord
Version:	1.0.5
Release:	3
License:	GPL
Group:		X11/Window Managers/Tools
Source0:	http://www.bruhaha.co.uk/%{name}-%{version}.tar.gz
Source1:	%{name}.desktop
URL:		http://www.bruhaha.co.uk/
BuildRequires:	XFree86-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define 	_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man

%description
WMRecord is a general purpose audio recording utility for X11,
currently using the Open Sound System (OSS). The interface is designed
to work in conjunction with WindowMaker's Dock or AfterStep's Wharf,
two popular window managers for the X Window System.

%description -l pl
WMRecord jest narzdziem nagrywajcym dla rodowiska X11, w obecnej
chwili wykorzystujcym sterowniki Open Sound System (OSS). Interfejs
programu jest zaprojektowany do pracy w poczeniu z Dokiem
WindowMakera lub AfterStepa.

%prep
%setup -q

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -I/usr/X11R6/include"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1} \
        $RPM_BUILD_ROOT%{_applnkdir}/DockApplets

install man/wmrecord.1 $RPM_BUILD_ROOT%{_mandir}/man1
install wmrecord $RPM_BUILD_ROOT%{_bindir}

#install %{SOURCE1} $RPM_BUILD_ROOT%{_applnkdir}/DockApplets

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README TODO Changelog
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*
#%{_applnkdir}/DockApplets/wmrecord.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: wmrecord.spec,v $
Revision 1.18  2002/11/05 18:27:13  kloczek
- release 3.

Revision 1.17  2002/11/01 20:06:07  qboosh
- new %%doc, use proper CC

Revision 1.16  2002/02/22 23:30:00  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.15  2002/01/18 02:15:24  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.14  2001/11/25 22:19:40  blues
- release 2
- desktop is out

Revision 1.13  2001/11/21 02:43:54  blues
- cosmetic in files

Revision 1.12  2001/07/31 16:49:47  qboosh
- updated Source0 URL, added URL

Revision 1.11  2001/05/03 01:14:05  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.10  2000/11/12 16:58:52  kloczek
- removed xpm-devel from BuildRequires.

Revision 1.9  2000/06/09 07:24:02  kloczek
- added using %%{__make} macro.

Revision 1.8  2000/04/01 11:16:00  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.7  2000/03/28 16:55:09  baggins
- translated kloczkish into english

Revision 1.6  1999/10/27 09:12:54  pius
- updated to 1.0.5

Revision 1.5  1999/09/04 09:44:01  pius
- cosmetics

Revision 1.4  1999/09/04 08:49:54  wiget
 - /etc/X11/applnk -> /usr/X11R6/share/applnk

Revision 1.3  1999/07/20 12:48:11  wiget
- switch to rpm 3.0.2

Revision 1.2  1999/07/15 11:56:49  pius
- fixed using CVS keywords.
